<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "debmain";
$trandb = "debtran";
$formname = "Debit Note GST Register";
$file = "debnotereg.php";
$keycond = " and `credtype` != 'O'";

$zroot = $_SESSION["zdir"];
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$invno = $_POST["invno"];
$party = $_POST["party"];
$item = $_POST["item"];
$prodtype = $_POST["prodtype"];
$dtype = $_POST["dtype"];
$scope = $_POST["scope"];
$printnar = $_POST["prna"];
$gstperc = $_POST["gstperc"];

$dtypecond = "";
$mscopecond = "";
$itemcond = "";
$gstcond = "";
$prodtypecond = "";
$partycond = "";

$mfrmdate = trim($_POST["fdate"]);
$mtodate = trim($_POST["tdate"]);

if (!empty($party)) {
    $partycond = " AND `party`='$party' ";
}

if (!empty($dtype)) {
    $dtypecond = " AND `dtype`='$dtype' ";
}
// browse($scope);
if (!empty($scope)) {
    if ($scope == 1) {
        $mscopecond = " AND `unclaimgst`=''";
    } else {
        $mscopecond = " AND `unclaimgst`='1' ";
    }
}
// browse($mscopecond);

if (empty($_POST["fdate"])) {
    browse("From Date Cannot Be Empty");
    header("refresh:1; slgstreg.php");
}
if (empty($_POST["tdate"])) {
    browse("To Date Cannot Be Empty");
    header("refresh:1; slgstreg.php");
}

$getpmain = mysqli_query($conn, "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt 
                                 FROM `$maindb` where `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $keycond $partycond $mscopecond") or die(mysqli_error($conn));

$mfdt = date("d-m-Y", strtotime($mfrmdate));
$mtdt = date("d-m-Y", strtotime($mtodate));
if (isset($_POST["view"])) {

    include("includes/linkshead.php");
?>
    <style type="text/css">
        #tabital {
            font-style: italic;
        }

        #font1 {
            font-style: italic;
        }

        #boldfont {
            font-weight: bold;
        }

        .dtype {
            background-color: #cccccc;
        }
    </style>
    </head>

    <body>
        <div class="container">
            <?php include("includes/head_rep.php"); ?>

            <div class="row">
                <div class="col-lg-12 pad">
                    <table style="background: white;width: 100%" class="table table-striped table-condensed table-bordered table-hover">
                        <thead class="mySearchTr">
                            <tr>
                                <th width='5%'>Sr</th>
                                <th width='5%'>Invoice</th>
                                <th width='8%'>Date</th>
                                <th width='23%'>Party</th>
                                <th width='5%'>GST No.</th>
                                <!--<th width='10%'>Salesman</th>-->
                                <th width='5%' class="text-right">Amount</th>
                                <th width='5%' class="text-right">Item Discount</th>
                                <th width='5%' class="text-right">Bill Discount</th>
                                <th width='5%' class="text-right">Packing</th>
                                <th width='5%' class="text-right">Taxable Value</th>
                                <th width='6%' class="text-right">GST 5%</th>
                                <th width='6%' class="text-right">GST 12%</th>
                                <th width='6%' class="text-right">GST 18%</th>
                                <th width='5%' class="text-right">GST 28%</th>
                                <th width='11%' class="text-right">Bill.Amt</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $ctr = 0;
                            $ttotamt = 0;
                            $totpack = 0;
                            $totbill = 0;
                            $totitmpr = 0;
                            $totdisc = 0;
                            $tottaxamt = 0;
                            $totgst5 = 0;
                            $totgst12 = 0;
                            $totgst18 = 0;
                            $totgst28 = 0;

                            while ($pmain = mysqli_fetch_array($getpmain)) {
                                $getsupp = mysqli_query($conn, "SELECT `accode`,`name`,`gstno` FROM `accmast` WHERE `accode`='$pmain[party]'") or die(mysqli_error($conn));
                                $supp = mysqli_fetch_array($getsupp);
                                $getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[salesman]'") or die(mysqli_error($conn));
                                $sale = mysqli_fetch_array($getsale);

                                $unclaimgst = $pmain["unclaimgst"];

                                $colr = "";
                                $unclaimhead = "";
                                if ($unclaimgst == "1") {
                                    $colr = "style='color:#ff006e'";
                                    $unclaimhead = " - Unclaimed GST";
                                }


                                $mtotgst5 = 0;
                                $mtotgst12 = 0;
                                $mtotgst18 = 0;
                                $mtotgst28 = 0;

                                if ($pmain['credtype'] == "O") {

                                    // OMS condition
                                    if ($pmain['oms'] == 1) {
                                        $gstAmount = $pmain['totigst'];
                                    } else {
                                        $gstAmount = $pmain['totcgst'] + $pmain['totsgst'];
                                    }

                                    switch ($pmain['gstperc']) {
                                        case 1:
                                            $mtotgst5 = $gstAmount;
                                            break;
                                        case 2:
                                            $mtotgst12 = $gstAmount;
                                            break;
                                        case 3:
                                            $mtotgst18 = $gstAmount;
                                            break;
                                        case 4:
                                            $mtotgst28 = $gstAmount;
                                            break;
                                    }
                                } else {
                                    $mtotgst5 = $pmain['totgst5'];
                                    $mtotgst12 = $pmain['totgst12'];
                                    $mtotgst18 = $pmain['totgst18'];
                                    $mtotgst28 = $pmain['totgst28'];
                                }


                                $ctr++;
                                echo "<tr id='boldfont'>";
                                echo "<td>$ctr</td>";
                                echo "<td>$pmain[invno]</td>";
                                echo "<td>$pmain[mydt]</td>";
                                echo "<td $colr>$supp[name] $unclaimhead</td>";
                                echo "<td $colr>$supp[gstno]</td>";
                                //                                Echo "<td>$sale[name]</td>";
                                echo "<td class='text-right'>$pmain[subtotal]</td>";
                                echo "<td class='text-right'>$pmain[litemdisc]</td>";
                                echo "<td class='text-right'>$pmain[discount]</td>";
                                echo "<td class='text-right'>$pmain[packing]</td>";
                                echo "<td class='text-right'>$pmain[tottaxamt]</td>";
                                echo "<td class='text-right'>$mtotgst5</td>";
                                echo "<td class='text-right'>$mtotgst12</td>";
                                echo "<td class='text-right'>$mtotgst18</td>";
                                echo "<td class='text-right'>$mtotgst28</td>";
                                echo "<td class='text-right'>$pmain[netamt]</td>";
                                echo "</tr>";

                                $ttotamt = $ttotamt + $pmain['subtotal'];
                                $totitmpr = $totitmpr + $pmain['litemdisc'];
                                $totdisc = $totdisc + $pmain['discount'];
                                $totpack = $totpack + $pmain['packing'];
                                $tottaxamt = $tottaxamt + $pmain['tottaxamt'];
                                $totgst5 = $totgst5 + $mtotgst5;
                                $totgst12 = $totgst12 + $mtotgst12;
                                $totgst18 = $totgst18 + $mtotgst18;
                                $totgst28 = $totgst28 + $mtotgst28;
                                $totbill = $totbill + $pmain['netamt'];

                                if ($_POST["dtype"] == 2) {

                                    echo "<tr style='height:10px;'>";
                                    echo "<td colspan='25'>";
                                    echo "<table style='width:100%;' id='tabital' class='table table-condensed table-hover table-bordered'>";
                                    echo "<th width='5%;'class='dtype'>Sr</th>";
                                    echo "<th width='8%' class='dtype'>Itemname</th>";
                                    echo "<th width='8%' class='dtype'>Size</th>";
                                    echo "<th width='6%' class='dtype'>HSN Code</th>";
                                    echo "<th width='6%' class='numeric dtype'>Qty</th>";
                                    //                                    Echo "<th width='6%' class='numeric dtype'>Unit</th>";
                                    //                                    Echo "<th width='6%' class='numeric dtype'>Mrp</th>";
                                    echo "<th width='6%' class='numeric dtype'>Rate</th>";
                                    echo "<th width='6%' class='numeric dtype'>Amount</th>";
                                    echo "<th width='6%' class='numeric dtype'>Disc%</th>";
                                    echo "<th width='6%' class='numeric dtype'>Disc. Amt.</th>";
                                    echo "<th width='6%' class='numeric dtype'>Taxable Amt.</th>";
                                    echo "<th width='6%' class='numeric dtype'>CGST %</th>";
                                    echo "<th width='6%' class='numeric dtype'>CGST Amt.</th>";
                                    echo "<th width='6%' class='numeric dtype'>SGST %</th>";
                                    echo "<th width='6%' class='numeric dtype'>SGST Amt.</th>";
                                    echo "<th width='6%' class='numeric dtype'>IGST %</th>";
                                    echo "<th width='6%' class='numeric dtype'>IGST Amt.</th>";
                                    echo "<th width='6%' class='numeric dtype'>Total</th>";
                                    echo "<tr>";

                                    $ctr2 = 0;
                                    $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = $total = $tottaxable = 0;

                                    $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'") or die(mysqli_error($conn));
                                    while ($tran = mysqli_fetch_array($gettran)) {

                                        $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                                        $item = mysqli_fetch_array($getitem);

                                        $ctr2++;
                                        echo "<tr>";
                                        echo "<td>$ctr2</td>";
                                        echo "<td>$item[name]</td>";
                                        echo "<td>$tran[size]</td>";
                                        echo "<td>$tran[hsncode]</td>";
                                        echo "<td class='numeric'>$tran[qty]</td>";
                                        //                                        Echo "<td class='numeric'>$tran[unit]</td>";
                                        //                                        Echo "<td class='numeric'>$tran[mrp]</td>";
                                        echo "<td class='numeric'>$tran[rate]</td>";
                                        echo "<td class='numeric'>$tran[amount]</td>";
                                        echo "<td class='numeric'>$tran[discperc]</td>";
                                        echo "<td class='numeric'>$tran[discount]</td>";
                                        echo "<td class='numeric'>$tran[subtot]</td>";
                                        echo "<td class='numeric'>$tran[cgstrate]</td>";
                                        echo "<td class='numeric'>$tran[cgstamt]</td>";
                                        echo "<td class='numeric'>$tran[sgstrate]</td>";
                                        echo "<td class='numeric'>$tran[sgstamt]</td>";
                                        echo "<td class='numeric'>$tran[igstrate]</td>";
                                        echo "<td class='numeric'>$tran[igstamt]</td>";
                                        echo "<td class='numeric'>$tran[total]</td>";
                                        echo "</tr>";

                                        $totamt = $totamt + $tran['amount'];
                                        $tottaxable = $tottaxable + $tran['subtot'];
                                        $totqty = $totqty + $tran['qty'];
                                        $totdisc = $totdisc + $tran['discperc'];
                                        $totdiscamt = $totdiscamt + $tran['discount'];
                                        $totcgst = $totcgst + $tran['cgstamt'];
                                        $totsgst = $totsgst + $tran['sgstamt'];
                                        $totigst = $totigst + $tran['igstamt'];
                                        $total = $total + $tran['total'];
                                    }
                                    echo "<tr> ";
                                    $colr1 = "blue";

                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1'</td>";
                                    echo "<td style='color:$colr1' id='font1'><h5><b>Total</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='text-right'><h5><b>$totqty</b></h5></td>";
                                    //                                    echo "<td style='color:$colr1' id='font1'></td>";
                                    //                                    echo "<td style='color:$colr1' id='font1'></td>";
                                    echo "<td style='color:$colr1' id='font1'></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totamt</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totdisc</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totdiscamt</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$tottaxable</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b></b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totcgst</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b></b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totsgst</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b></b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$totigst</b></h5></td>";
                                    echo "<td style='color:$colr1' id='font1' class='numeric'><h5><b>$total</b></h5></td>";
                                    echo "</tr>";

                                    echo "</table>";
                                    echo "</td>";
                                }
                            }

                            $colr = "green";
                            echo "<tr> ";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td></td>";
                            echo "<td align='right' style='color:$colr;'><h4><b>Grand Total</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$ttotamt</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totitmpr</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totdisc</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totpack</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$tottaxamt</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst5</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst12</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst18</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totgst28</b></h4></td>";
                            echo "<td align='right' style='color:$colr;' id='font'><h4><b>$totbill</b></h4></td>";
                            echo "</tr>";
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php");
        ?>
    </body>

    </html>
<?php
}
if (isset($_POST["excel"])) {

    include("includes/head_excel_rep.php");

    $contents .= "Sr., Invoice, Date, Party, GST No,Amount,Item Discount,Bill Discount,Packing,Taxable Value,GST 5%,GST 12%,GST 18%,GST 28%,Bill. Amt\n";

    $ctr = 0;
    $ttotamt = 0;
    $totpack = 0;
    $totbill = 0;
    $totitmpr = 0;
    $totdisc = 0;
    $tottaxamt = 0;
    $totgst5 = 0;
    $totgst12 = 0;
    $totgst18 = 0;
    $totgst28 = 0;

    while ($pmain = mysqli_fetch_array($getpmain)) {
        $getsupp = mysqli_query($conn, "SELECT `accode`,`name`,`gstno` FROM `accmast` WHERE `accode`='$pmain[party]'") or die(mysqli_error($conn));
        $supp = mysqli_fetch_array($getsupp);
        $getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$pmain[salesman]'") or die(mysqli_error($conn));
        $sale = mysqli_fetch_array($getsale);

        $unclaimgst = $pmain["unclaimgst"];

        $mtotgst5 = 0;
        $mtotgst12 = 0;
        $mtotgst18 = 0;
        $mtotgst28 = 0;

        if ($pmain['credtype'] == "O") {

            // OMS condition
            if ($pmain['oms'] == 1) {
                $gstAmount = $pmain['totigst'];
            } else {
                $gstAmount = $pmain['totcgst'] + $pmain['totsgst'];
            }

            switch ($pmain['gstperc']) {
                case 1:
                    $mtotgst5 = $gstAmount;
                    break;
                case 2:
                    $mtotgst12 = $gstAmount;
                    break;
                case 3:
                    $mtotgst18 = $gstAmount;
                    break;
                case 4:
                    $mtotgst28 = $gstAmount;
                    break;
            }
        } else {
            $mtotgst5 = $pmain['totgst5'];
            $mtotgst12 = $pmain['totgst12'];
            $mtotgst18 = $pmain['totgst18'];
            $mtotgst28 = $pmain['totgst28'];
        }


        $ctr++;
        $contents .= $ctr . ",";
        $contents .= $pmain['invno'] . ",";
        $contents .= $pmain['mydt'] . ",";
        $contents .= $supp['name'] . ",";
        $contents .= $supp['gstno'] . ",";
        $contents .= $pmain['subtotal'] . ",";
        $contents .= $pmain['litemdisc'] . ",";
        $contents .= $pmain['discount'] . ",";
        $contents .= $pmain['packing'] . ",";
        $contents .= $pmain['tottaxamt'] . ",";
        $contents .= $mtotgst5 . ",";
        $contents .= $mtotgst12 . ",";
        $contents .= $mtotgst18 . ",";
        $contents .= $mtotgst28 . ",";
        $contents .= $pmain['netamt'] . "\n";

        $ttotamt = $ttotamt + $pmain['subtotal'];
        $totitmpr = $totitmpr + $pmain['litemdisc'];
        $totdisc = $totdisc + $pmain['discount'];
        $totpack = $totpack + $pmain['packing'];
        $tottaxamt = $tottaxamt + $pmain['tottaxamt'];
        $totgst5 = $totgst5 + $pmain['totgst5'];
        $totgst12 = $totgst12 + $pmain['totgst12'];
        $totgst18 = $totgst18 + $pmain['totgst18'];
        $totgst28 = $totgst28 + $pmain['totgst28'];
        $totbill = $totbill + $pmain['netamt'];

        if ($_POST["dtype"] == 2) {

            $contents .= "Sr., Itemname, Size,HSN Code,Qty,Rate,Amount,Disc%,Disc. Amt.,Taxable Amt.,CGST%,CGST Amt.,SGST %,SGST Amt,IGST %,IGST Amt.,Total\n";

            $ctr2 = 0;
            $totqty = $totdisc = $totdiscamt = $totcgst = $totsgst = $totigst = $totamt = $total = $tottaxable = 0;

            $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='$pmain[vouchno]'") or die(mysqli_error($conn));
            while ($tran = mysqli_fetch_array($gettran)) {

                $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='$tran[itemcode]'") or die(mysqli_error($conn));
                $item = mysqli_fetch_array($getitem);

                $ctr2++;
                $contents .= $ctr2 . ",";
                $contents .= $item['name'] . ",";
                $contents .= $tran['size'] . ",";
                $contents .= $tran['hsncode'] . ",";
                $contents .= $tran['qty'] . ",";
                $contents .= $tran['rate'] . ",";
                $contents .= $tran['amount'] . ",";
                $contents .= $tran['discperc'] . ",";
                $contents .= $tran['discount'] . ",";
                $contents .= $tran['subtot'] . ",";
                $contents .= $tran['cgstrate'] . ",";
                $contents .= $tran['cgstamt'] . ",";
                $contents .= $tran['sgstrate'] . ",";
                $contents .= $tran['sgstamt'] . ",";
                $contents .= $tran['igstrate'] . ",";
                $contents .= $tran['igstamt'] . ",";
                $contents .= $tran['total'] . "\n";

                $totamt = $totamt + $tran['amount'];
                $tottaxable = $tottaxable + $tran['subtot'];
                $totqty = $totqty + $tran['qty'];
                $totdisc = $totdisc + $tran['discperc'];
                $totdiscamt = $totdiscamt + $tran['discount'];
                $totcgst = $totcgst + $tran['cgstamt'];
                $totsgst = $totsgst + $tran['sgstamt'];
                $totigst = $totigst + $tran['igstamt'];
                $total = $total + $tran['total'];
            }
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= " " . ",";
            $contents .= "Total" . ",";
            $contents .= $totqty . ",";
            $contents .= " " . ",";
            $contents .= $totamt . ",";
            $contents .= $totdiscamt . ",";
            $contents .= $tottaxable . ",";
            $contents .= " " . ",";
            $contents .= $totcgst . ",";
            $contents .= " " . ",";
            $contents .= $totsgst . ",";
            $contents .= " " . ",";
            $contents .= $totigst . ",";
            $contents .= $total . "\n";
        }
    }

    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= " " . ",";
    $contents .= "Grand Total" . ",";
    $contents .= $ttotamt . ",";
    $contents .= $totitmpr . ",";
    $contents .= $totdisc . ",";
    $contents .= $totpack . ",";
    $contents .= $tottaxamt . ",";
    $contents .= $totgst5 . ",";
    $contents .= $totgst12 . ",";
    $contents .= $totgst18 . ",";
    $contents .= $totgst28 . ",";
    $contents .= $totbill . "\n";

    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename = $formname" . "_Summary" . date('d-m-Y') . " .csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment;filename = $formname" . "_Detail" . date('d-m-Y') . " .csv");
        print $contents;
    }
}

if (isset($_POST["tally"])) {
    include("includes/head_excel_rep.php");

    $getexcel = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as mydt FROM `$maindb` 
                WHERE `vouchdt` >= '$mfrmdate' AND `vouchdt` <= '$mtodate' $partycond $salemcond $mscopecond 
                ORDER BY vouchdt ASC") or die(mysqli_error($conn));

    $contents  .= "Sr.,	Invoice, Date, Party, Address, State, Pin,Country,GST No., Itemname, Size, HSN,Qty, Rate, Amount, Disc%, Disc. Amt.,	Taxable Amt.,CGST%,	CGST Amt.,SGST %,SGST Amt,IGST %,	IGST Amt.,	Total Amount,	Item Discount,	Bill Discount,	Packing,	Taxable Value,	GST 5   %,	GST 12%,	GST 18%,	GST 28%,	Bill. Amt,	 Roundoff,	DR/CR Roundoff, Description\n";

    $sr = 1;
    $prevvouch = 0;
    while ($pmain = mysqli_fetch_array($getexcel)) {
        // Get party/supplier details
        $getsupp = mysqli_query($conn, "SELECT `accode`,`name`,`gstno`,`add1`,`add2`,`add3`,`state`,`country`,`pin` FROM `accmast` WHERE `accode`='{$pmain['party']}'") or die(mysqli_error($conn));
        $supp = mysqli_fetch_array($getsupp);

        $unclaimgst = $pmain["unclaimgst"];

        $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `vouchno`='{$pmain['vouchno']}'") or die(mysqli_error($conn));

        while ($tran = mysqli_fetch_array($gettran)) {
            $newvouch = $pmain['vouchno'];
            if ($prevvouch == $newvouch) {
                $vouchno = '';  // Empty for duplicate voucher numbers
                $invno = '';  // Empty for duplicate voucher numbers
                $mydt = '';
                $suppname = '';
                $suppadd = '';
                $suppstate = '';
                $suppcountry = '';
                $supppin = '';
                $suppgstno = '';
                $litemdisc = '';
                $discount = '';
                $packing = '';
                $tottaxamt = '';
                $cgstperc = '';
                $totcgst = '';
                $sgstperc = '';
                $totsgst = '';
                $igstperc = '';
                $totigst = '';
                $totgst5 = '';
                $totgst12 = '';
                $totgst18 = '';
                $totgst28 = '';
                $roundoff = '';
                $roundoffdrcr = '';
                $netamt = '';
            } else {
                $vouchno = $newvouch;  // Show the voucher number for new vouchers
                $invno = $pmain['invno'];
                $prevvouch = $newvouch;  // Update the previous voucher number
                $mydt = $pmain['mydt'];
                $suppname = str_replace(",", " ", $supp['name']);
                $suppadd = str_replace(",", " ", $supp['add1']) . str_replace(",", " ", $supp['add2']) . str_replace(",", " ", $supp['add3']);
                $suppstate = $supp['state'];
                $suppcountry = $supp['country'];
                $supppin = $supp['pin'];
                $suppgstno = $supp['gstno'];
                $litemdisc = $pmain['litemdisc'];
                $discount = $pmain['discount'];
                $packing = $pmain['packing'];
                $tottaxamt = $pmain['tottaxamt'];
                $totgst5 = $pmain['totgst5'];
                $totgst12 = $pmain['totgst12'];
                $totgst18 = $pmain['totgst18'];
                $totgst28 = $pmain['totgst28'];
                $cgstperc = $pmain['cgstperc'];
                $totcgst = $pmain['totcgst'];
                $sgstperc = $pmain['sgstperc'];
                $totsgst = $pmain['totsgst'];
                $igstperc = $pmain['igstperc'];
                $totigst = $pmain['totigst'];
                $netamt = $pmain['netamt'];
                $roundoff = $pmain['roundoff'];

                if ($roundoff > 0) {
                    $roundoffdrcr = "CR";
                } else {
                    $roundoffdrcr = "DR";
                }
                $newline = $contents .= "\n";
            }
            $getitem = mysqli_query($conn, "SELECT `code`,`name` FROM `item` WHERE `code`='{$tran['itemcode']}'") or die(mysqli_error($conn));
            $item = mysqli_fetch_array($getitem);

            $getcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='{$tran['color']}'") or die(mysqli_error($conn));
            $color = mysqli_fetch_array($getcolor);

            $contents .= "{$sr},";
            $contents .= "{$invno},";
            $contents .= "{$mydt},";
            $contents .= "{$suppname},";
            $contents .= "{$suppadd},";
            $contents .= "{$suppstate},";
            $contents .= "{$supppin},";
            $contents .= "{$suppcountry},";
            $contents .= "{$suppgstno},";
            $contents .= "{$item['name']},";
            $contents .= "{$tran['size']},";
            $contents .= "{$tran['hsncode']},";
            $contents .= "{$tran['qty']},";
            $contents .= "{$tran['rate']},";
            $contents .= "{$tran['amount']},";
            $contents .= "{$tran['discperc']},";
            $contents .= "{$tran['discount']},";
            $contents .= "{$tran['amount']},";
            $contents .= "{$tran['cgstrate']},";
            $contents .= "{$tran['cgstamt']},";
            $contents .= "{$tran['sgstrate']},";
            $contents .= "{$tran['sgstamt']},";
            $contents .= "{$tran['igstrate']},";
            $contents .= "{$tran['igstamt']},";
            $contents .= "{$tran['amount']},";
            $contents .= "{$litemdisc},";
            $contents .= "{$discount},";
            $contents .= "{$packing},";
            $contents .= "{$tottaxamt},";
            $contents .= "{$totgst5},";
            $contents .= "{$totgst12},";
            $contents .= "{$totgst18},";
            $contents .= "{$totgst28},";
            $contents .= "{$netamt},";
            $contents .= "{$roundoff},";
            $contents .= "{$roundoffdrcr},";
            $contents .= "{$tran['descrip']}\n";
            $newline;

            $sr++;
        }
    }

    $contents = strip_tags($contents);
    header("Content-Disposition: attachment; filename = $formname" . "_Tally Formnat" . date('d-m-Y') . " .csv");
    print $contents;
}
?>